<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'comapnydata',

    /*
     * Modules.
     */
    'modules'   => ['company_data'],

    
    'company_data'       => [
        'model' => [
            'model'                 => \Litecms\Comapnydata\Models\CompanyData::class,
            'table'                 => 'company_datas',
            'presenter'             => \Litecms\Comapnydata\Repositories\Presenter\CompanyDataPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['CORPORATE_IDENTIFICATION_NUMBER',  'COMPANY_NAME',  'COMPANY_STATUS',  'COMPANY_CATEGORY',  'COMPANY_SUB_CATEGORY',  'DATE_OF_REGISTRATION',  'REGISTERED_STATE',  'AUTHORIZED_CAP',  'PAIDUP_CAPITAL',  'INDUSTRIAL_CLASS',  'PRINCIPAL_BUSINESS_ACTIVITY_AS_PER_CIN'],
            'translatables'         => [],
            'upload_folder'         => 'comapnydata/company_data',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Comapnydata',
            'module'    => 'CompanyData',
        ],

    ],
];
