<?php

namespace Litecms\Comapnydatum;

use User;

class Comapnydatum
{
    /**
     * $company_data object.
     */
    protected $company_data;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Comapnydatum\Interfaces\CompanyDataRepositoryInterface $company_data)
    {
        $this->company_data = $company_data;
    }

    /**
     * Returns count of comapnydatum.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.company_data.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->company_data->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\CompanyDataUserCriteria());
        }

        $company_data = $this->company_data->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('comapnydatum::' . $view, compact('company_data'))->render();
    }
}
