<?php

namespace Litecms\Comapnydata\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Litecms\Comapnydata\Interfaces\CompanyDataRepositoryInterface;

class CompanyDataPublicController extends BaseController
{
    // use CompanyDataWorkflow;

    /**
     * Constructor.
     *
     * @param type \Litecms\CompanyData\Interfaces\CompanyDataRepositoryInterface $company_data
     *
     * @return type
     */
    public function __construct(CompanyDataRepositoryInterface $company_data)
    {
        $this->repository = $company_data;
        parent::__construct();
    }

    /**
     * Show company_data's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $company_datas = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$comapnydata::$company_data.names'))
            ->view('$comapnydata::public.company_data.index')
            ->data(compact('$company_datas'))
            ->output();
    }

    /**
     * Show company_data's list based on a type.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function list($type = null)
    {
        $company_datas = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->title(trans('$comapnydata::$company_data.names'))
            ->view('$comapnydata::public.company_data.index')
            ->data(compact('$company_datas'))
            ->output();
    }

    /**
     * Show company_data.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $company_data = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->title($$company_data->name . trans('$comapnydata::$company_data.name'))
            ->view('$comapnydata::public.company_data.show')
            ->data(compact('$company_data'))
            ->output();
    }

}
