<?php

namespace Litecms\Comapnydata\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CompanyDataTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Comapnydata\Models\CompanyData $company_data)
    {
        return [
            'id'                => $company_data->getRouteKey(),
            'key'               => [
                'public'    => $company_data->getPublicKey(),
                'route'     => $company_data->getRouteKey(),
            ], 
            'CORPORATE_IDENTIFICATION_NUMBER' => $company_data->CORPORATE_IDENTIFICATION_NUMBER,
            'COMPANY_NAME'      => $company_data->COMPANY_NAME,
            'COMPANY_STATUS'    => $company_data->COMPANY_STATUS,
            'COMPANY_CATEGORY'  => $company_data->COMPANY_CATEGORY,
            'COMPANY_SUB_CATEGORY' => $company_data->COMPANY_SUB_CATEGORY,
            'DATE_OF_REGISTRATION' => $company_data->DATE_OF_REGISTRATION,
            'REGISTERED_STATE'  => $company_data->REGISTERED_STATE,
            'AUTHORIZED_CAP'    => $company_data->AUTHORIZED_CAP,
            'PAIDUP_CAPITAL'    => $company_data->PAIDUP_CAPITAL,
            'INDUSTRIAL_CLASS'  => $company_data->INDUSTRIAL_CLASS,
            'PRINCIPAL_BUSINESS_ACTIVITY_AS_PER_CIN' => $company_data->PRINCIPAL_BUSINESS_ACTIVITY_AS_PER_CIN,
            'url'               => [
                'public'    => trans_url('comapnydata/'.$company_data->getPublicKey()),
                'user'      => guard_url('comapnydata/company_data/'.$company_data->getRouteKey()),
            ], 
            'status'            => trans('app.'.$company_data->status),
            'created_at'        => format_date($company_data->created_at),
            'updated_at'        => format_date($company_data->updated_at),
        ];
    }
}